Page MenuHomePhabricator

Remove `.background-size()` LESS mixin, deprecated in MW 1.27
Closed, ResolvedPublic

Description

Removing .background-size() LESS mixin, deprecated in MW 1.27 as part of T121473: background-size mixin should not generate vendor prefixes
Android 2 is pretty much dead, 0.1% as of 2019-03-24.
Firefox 3.6 is also affected, is also at 0.1% as of 2019-03-24.

Moreover the mixin is

  • not used consistently at all, putting the support at esoteric treatment levels
  • not necessary to show basic content or even interact with the site

Proposed outcome

Event Timeline

Volker_E created this task.Apr 3 2019, 2:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2019, 2:10 AM

Change 500881 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500881

Volker_E updated the task description. (Show Details)Apr 3 2019, 2:32 AM

Change 500883 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500883

Change 500885 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500885

Change 500886 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/QuickSurveys@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500886

Change 500887 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/RelatedArticles@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500887

Change 500885 merged by jenkins-bot:
[mediawiki/core@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500885

Change 500886 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500886

Change 500887 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500887

Change 500883 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500883

Change 500881 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/500881

Volker_E updated the task description. (Show Details)Apr 4 2019, 2:16 AM

Change 501129 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Remove background-size() LESS mixin.

https://gerrit.wikimedia.org/r/501129

Change 501129 merged by jenkins-bot:
[mediawiki/core@master] Remove background-size() LESS mixin.

https://gerrit.wikimedia.org/r/501129

Jdforrester-WMF closed this task as Resolved.Apr 4 2019, 6:41 PM
Jdforrester-WMF assigned this task to Volker_E.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)

Change 519660 had a related patch set uploaded (by Paladox; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@REL1_33] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/519660

Change 520318 had a related patch set uploaded (by Paladox; owner: VolkerE):
[mediawiki/extensions/RelatedArticles@REL1_33] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/520318

Change 519660 merged by Niedzielski:
[mediawiki/extensions/MobileFrontend@REL1_33] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/519660

Change 520318 merged by Niedzielski:
[mediawiki/extensions/RelatedArticles@REL1_33] Remove .background-size() mixin usage

https://gerrit.wikimedia.org/r/520318